package com.muyu.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Structure;
import com.muyu.domain.TableInfo;
import com.muyu.domain.TaskInputInfo;
import com.muyu.domain.resp.TaskInputInfoResp;
import com.muyu.mapper.TableInfoMapper;
import com.muyu.service.TableInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @PackageName:com.muyu.service
 * @ClassName:TaskInputInfoService
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/22 20:18
 */
@Service
public class TableInfoServiceImpl extends ServiceImpl<TableInfoMapper, TableInfo> implements TableInfoService {

    @Override
    public List<TableInfo> selectList() {
        LambdaQueryWrapper<TableInfo> queryWrapper = new LambdaQueryWrapper<>();
        return this.list(queryWrapper);
    }

    @Override
    public TableInfo findByTableId(Integer id) {
        LambdaQueryWrapper<TableInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TableInfo::getId, id);
        return this.getOne(queryWrapper);
    }

}
